import React from 'react'
import BlogsWrapper from '../blogs-wrapper/BlogsWrapper'
import StackOverflowAnswer from '../stof-answer'
import YoutubeVideoWrapper from '../youtube-videos/YoutubeVideoWrapper'

const AutomatedAnswer = ({ automatedAnswer }) => {
  console.log(automatedAnswer)
  return (
    <>
      {automatedAnswer.stackoverflow != null ? (
        <StackOverflowAnswer stof={automatedAnswer.stackoverflow} />
      ) : (
        <h1>No Stack overflow</h1>
      )}

      {automatedAnswer.youtube != null &&
      automatedAnswer.youtube.length >= 1 ? (
        <YoutubeVideoWrapper videos={automatedAnswer.youtube} />
      ) : (
        <h1>No youtubes found for this question</h1>
      )}

      <BlogsWrapper
        source="Medium"
        articles={automatedAnswer.medium_articles}
        resources={automatedAnswer.medium_resources}
      />

      <BlogsWrapper
        source="Dev.to"
        articles={automatedAnswer.dev_articles}
        resources={automatedAnswer.dev_resources}
      />
    </>
  )
}

export default AutomatedAnswer
