import React, { useState } from 'react'
import AutomatedAnswerSwiper from '../automated-answer-swiper/AutomatedAnswerSwiper'
import BlogArticle from '../blog-article/BlogArticle'
import NoResource from '../no-resource/NoResource'
import ResourcePreview from '../resource-preview/ResourcePreview'
import ShowHide from '../show-hide/ShowHide'
import styles from './BlogsWrapper.module.css'

const BlogsWrapper = ({ source, articles, resources }) => {
  const [show, setShow] = useState(false)
  return (
    <>
      {articles && articles.length > 0 ? (
        <>
          <ResourcePreview
            articles={articles}
            source={source}
            show={show}
            setShow={setShow}
          />
          {show && (
            <div className={styles.blogs_wrapper}>
              <AutomatedAnswerSwiper>
                {articles.map((article, i) => {
                  return (
                    <BlogArticle key={i} article={article} source={source} />
                  )
                })}
              </AutomatedAnswerSwiper>
            </div>
          )}
        </>
      ) : (
        <NoResource source={source} />
      )}
    </>
  )
}

export default BlogsWrapper
