import React from 'react'
import AutomatedAnswerSwiper from '../automated-answer-swiper/AutomatedAnswerSwiper'
import YoutubeVideo from './youtube-video/YoutubeVideo'
import styles from './YoutubeVideoWrapper.module.css'
const YoutubeVideoWrapper = ({ videos }) => {
  return (
    <>
      <h1 className={styles.h1}>
        Here are {videos.length} video{videos.length > 1 && 's'} I found on
        youtube
      </h1>
      <div className={styles.wrapper}>
        <AutomatedAnswerSwiper>
          {videos.map((video, index) => {
            return <YoutubeVideo video={video} key={index} />
          })}
        </AutomatedAnswerSwiper>
      </div>
    </>
  )
}

export default YoutubeVideoWrapper
